Runtime

## org.eclipse.gmf.runtime.notation
Interface Ratio

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LayoutConstraint, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RatioImpl

    public interface Ratio

extends LayoutConstraint

A representation of the model object 'Ratio'.

The ratio constraint specifies the size ratio of a node in its container

The following features are supported:

- `Value`

See Also:
  `NotationPackage.getRatio()`
** Generated **
Model:

Method Summary
`double` `getValue()` Returns the value of the 'Value' attribute.
`void` `setValue(double value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    double getValue()

  Returns the value of the 'Value' attribute. The default value is `"-1"`.

  The value is the ratio of the view to its container

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(double)`, `NotationPackage.getRatio_Value()`
  ** Generated **
  Model:
    default="-1"

### setValue

    void setValue(double value)

  Sets the value of the '`Value`' attribute. The value is the ratio of the view to its container

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.